CalryOTA Docs
Integration Account

Begin OAuth reauthorization flow for an existing integration account

Generates a new OAuth authorization URL so the user can reconnect an existing OAuth integration account.

POST
/api/v1/integration-account/{integrationAccountID}/reauthorize

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

integrationAccountID*string

The integration account ID to reauthorize

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. Controls access to integration accounts. If not provided, the default tenant will be used.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/integration-account/string/reauthorize" \  -H "Content-Type: application/json" \  -d '{    "clientRedirectURL": "https://app.example.com/integrations/hostfully/success",    "notificationURL": "https://api.example.com/oauth/notifications"  }'
{
  "oAuthURL": "https://provider.com/oauth/authorize?client_id=abc&redirect_uri=xyz",
  "webhookURLs": [
    "https://api.example.com/webhooks/12345"
  ],
  "workspaceLevelWebhookSubscriptionSupport": true,
  "subscriptionAPISupport": true
}
Empty
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}
Empty